آموزش وردپرس

امنیت ، کلمه ایست که تمام وب سایت های دنیا و توسعه دهندگان، امروزه  درک زیادی از آن دارند و می دانند که وقتی سایتی راه اندازی می کنند باید نکات امنیتی را رعایت کنند و اگر کار را به وقتی دیگر موکول کنند ممکن است دیگر سخت باشد .پس آنها در حین انجام پروژه کارهای امنیتی سایت را در نظر می گیرند.خیلی افراد دانش این کار را ندارند مخصوصا کسانی که با قالب های آماده cms های مختلف از جمله وردپرس کار می کنند دنبال پلاگین هایی برای امنیت سایت خود می گردند.البته توصیه ما اینست که کسانی که با وردپرس و دیگر سیستم های مدیریت محتوا سایت می سازند بهتر است دانش خود را کمی افزایش دهند تا به مشکلی بر نخورند.

در سایت های وردپرسی آموزش وردپرس و امنیت وردپرس بسیار پر اهمیت می باشد.در این قسمت از آموزش وردپرس می خواهیم درباره یکی از پلاگین های امنیتی وردپرس صحبت کنیم.

پلاگین های امنیتی زیادی با ویژگی های زیادی ساخته شده اند یکی از این پلاگین ها ، پلاگین  Acunetix Secure WordPress  می باشد. این پلاگین تامین امنیت مجوز های دسترسی فایل، امنیت پایگاه داده ، حفاظت محیط مدیریت وردپرس را به صورت  رایگان و جامع  اقداماتی برای ایمن سازی سایت های وردپرسی در اختیار کاربران قرار می دهد.

 

پلاگین Acunetix اقدامات اصلاحی برای عدم  آسیب پذیری های امنیتی  سایت پیشنهاد می دهد مانند :

  1. رمز عبور ها 
  2. دسترسی فایل ها
  3. امنیت پایگاه داده
  4. مخفی کردن نسخه
  5. امنیت/محافظت ادمین وردپرس
  6. حذف تولید کننده های تگ های متای وردپرس از کد های هسته وردپرس

وردپرس

ویژگی های امنیتی

  • پشتیبان گرفتن آسان از پایگاه داده برای جلوگیری از فاجعه
  • حذف خطاهای اطلاعاتی از صغحه ورود(login)
  • جلوگیری از نمایش لیست فایل های wp-content/plugins و wp-content/theme.
  • حذف wp-version برای کاربران (به غیر از مدیران )
  • حذف آپدیت وردپرس برای غیر ادمین ها
  • حذف آپدیت پلاگین ها برای غیر ادمین ها
  • حذف آپدیت پوسته ها برای غیر ادمین ها(از نسخه ۲.۸ به بعد)
  • مخفی سازی  wp-version در پنل وردپرس برای غیر ادمین ها 
  • حذف تمام نسخه ها از فایل های جاوا اسکریپت و css .
  • گزارش امنیت بعد از اسکن کردن  بلاگ 
  • گزارش گیری از دسترسی فایل های امنیتی 
  • ابزار نمایش ترافیک برای نمایش فعالیت های سایت در آن واحد 
  • ابزار ادغام سازی برای تغییر پیشوند های وردپرس
  • غیر فعال کردن گزارش گیری های خطا در php

الزامات

  • وردپرس ۳ به بالاتر 
  • PHP  نسخه ۵.۲.۹  یا بالاتر

http://wpmen.ir/ 

منبع :‌ مردان وردپرس

تاریخ آخرین بروزرسانی : ۳۰ آبان ۱۳۹۵
میلاد میلادی

باور هایت را که پرورش دهی به هرچیزی دست خواهی یافت.

ارسال نظر

آدرس الکترونیکی شما نمایش داده نمی شود *

Time limit is exhausted. Please reload CAPTCHA.